Get a paginated array of profiles invited to your account who have not yet joined
curl --request GET \
--url https://vanguard.profilebehavior.com/api/v4/pending-profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://vanguard.profilebehavior.com/api/v4/pending-profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanguard.profilebehavior.com/api/v4/pending-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"profiles": [
{
"id": "60e9ca73c500a9001534ad84",
"createdAt": "2025-09-26T13:49:53.256Z",
"updatedAt": "2025-09-26T14:37:29.157Z",
"email": "hello@profilebehavior.com"
}
]
}{
"code": 400,
"error": {
"message": "Invalid request body",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}{
"code": 401,
"error": {
"message": "Invalid token",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}{
"code": 404,
"error": {
"message": "(resource) not found",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}Profile
Get All Pending Profiles
Returns paginated details for all profiles invited to your account.
GET
/
pending-profiles
Get a paginated array of profiles invited to your account who have not yet joined
Authorizations
M2MOAuth2
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of profiles to retrieve per paginated request.
The current page of results you are requesting. This indicates how many documents to skip based on the provided limit.
Response
Success
Standard response object for successful single-resource requests in the Profile Behavior API. Contains an HTTP status code, the returned resource data, and a status indicator.
Was this page helpful?